<!DOCTYPE html>
<html>
<head>
	<title>HTMLy Blog Entries Counter, By Year</title>
</head>
<body>
<h2>HTMLy Blog Entries, By Year</h2>
<?php
$path = realpath('content/kyrathasoft/blog');
$regular_entries = 0;
$total_bytes = 0;
$archive_bytes = 0;

$entries_2018 = 0;
$entries_2019 = 0;
$entries_2020 = 0;
$entries_2021 = 0;
$entries_2022 = 0;
$entries_2023 = 0;
$zip_archives = 0;

foreach (new RecursiveIteratorIterator(new RecursiveDirectoryIterator($path)) as $filename)
{
		$full_name = $filename;
		$path_parts = pathinfo($filename);
		$fileExtension = $path_parts['extension'];
		$baseFileName = $path_parts['basename'];
		
		if($fileExtension == "md"){
			$regular_entries++;
		}
		
		if($fileExtension == "md"){			
			
			$total_bytes += filesize($filename);
			
			if (strpos($full_name, '2018-') !== false) {
				$entries_2018++;
			}			
			if (strpos($full_name, '2019-') !== false) {
				$entries_2019++;
			}
			if (strpos($full_name, '2020-') !== false) {
				$entries_2020++;
			}
			if (strpos($full_name, '2021-') !== false) {
				$entries_2021++;
			}
			
			if (strpos($full_name, '2022-') !== false) {
				$entries_2022++;
			}
			
			if (strpos($full_name, '2023-') !== false) {
				$entries_2023++;
			}
		}else{
			if($fileExtension == "zip"){
				$archive_bytes += filesize($filename);
				$zip_archives++;
			}
		}
}

echo "Total regular blog entries: $regular_entries<br>";
$num = $english_format_number = number_format($total_bytes);
$num_kb = isa_convert_bytes_to_specified($total_bytes, 'K');
$num_mb = isa_convert_bytes_to_specified($total_bytes, 'M');
echo "Total size of all blog entries: $num bytes ($num_kb KB, $num_mb MB)<br>";
echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;... entries made in 2018: $entries_2018<br>";
echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;... entries made in 2019: $entries_2019<br>";
echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;... entries made in 2020: $entries_2020<br>";
echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;... entries made in 2021: $entries_2021<br>";
echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;... entries made in 2022: $entries_2022<br>";
echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;... entries made in 2023: $entries_2023<br>";
echo "<br>";
echo "<br>";

$path = realpath('content/zipped');


foreach (new RecursiveIteratorIterator(new RecursiveDirectoryIterator($path)) as $filename)
{
		$full_name = $filename;
		$path_parts = pathinfo($filename);
		$fileExtension = $path_parts['extension'];
		$baseFileName = $path_parts['basename'];
		
		if($fileExtension == "zip"){
			$zip_archives++;
			$archive_bytes += filesize($filename);
		}
}


echo "Total zip archives: $zip_archives<br>";
$num = $english_format_number = number_format($archive_bytes);
$num_kb = isa_convert_bytes_to_specified($archive_bytes, 'K');
$num_mb = isa_convert_bytes_to_specified($archive_bytes, 'M');
echo "Total size of all zip archives: $num bytes ($num_kb KB, $num_mb MB)<br>";

function isa_convert_bytes_to_specified($bytes, $to, $decimal_places = 1) {
    $formulas = array(
        'K' => number_format($bytes / 1024, $decimal_places),
        'M' => number_format($bytes / 1048576, $decimal_places),
        'G' => number_format($bytes / 1073741824, $decimal_places)
    );
    return isset($formulas[$to]) ? $formulas[$to] : 0;
}

?>
</body>
</html>

